> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notional.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Historical Orders

## Endpoint

```text theme={null}
POST /info
```

## Request Body

| Parameter | Type   | Description                  |
| --------- | ------ | ---------------------------- |
| `type`\*  | string | Must be `"historicalOrders"` |
| `user`\*  | string | User wallet address          |

## Response

```json theme={null}
[
  {
    "order": {
      "coin": "BTC",
      "side": "B",
      "limitPx": "50000.00",
      "sz": "0",
      "oid": "0x1234abcd...",
      "orderType": "limit",
      "timestamp": 1701234567890,
      "origSz": "0.1",
      "isTrigger": false,
      "triggerPx": "0",
      "children": [],
      "isPositionTpsl": false,
      "reduceOnly": false,
      "tif": "Gtc",
      "cloid": null,
      "parentOrderId": null,
      "twapOrderId": "0xaaaa...",
      "twapSliceIndex": 0
    },
    "status": "partiallyFilled",
    "statusTimestamp": 1701234670000
  }
]
```

## Notes

<Note>
  * `order.oid` is the internal Notional order id string. - Possible status values include `filled`,
    `partiallyFilled`, `canceled`, `triggered`, `rejected`, and `marginCanceled`. - TWAP suborders
    include `twapOrderId` and `twapSliceIndex`.
</Note>
